Skip to main content
`Ctrl`+`K`

# DMPlexCheckGeometry

Check the geometry of mesh cells

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckGeometry(DM dm)

## Input Parameter

- dm - The `DMPLEX` object

## Notes

This is a useful diagnostic when creating meshes programmatically.

For the complete list of DMPlexCheck* functions, see `DMSetFromOptions()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMCreate()`, `DMSetFromOptions()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages